package org.yacos.web.author.form;

import java.util.ArrayList;
import java.util.List;

import org.springframework.web.multipart.MultipartFile;

public class FormSubmission {

	private MultipartFile file;
	private String title;
	private String theme;
	private String mainauthor;
	private String secondaryauthor;
	private ArrayList<String> liste = new ArrayList<String>();
	private String abstractText;

	public FormSubmission() {

	}

	public void setFile(MultipartFile file) {
		this.file = file;
	}

	public MultipartFile getFile() {
		return file;
	}

	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getTheme() {
		return theme;
	}
	public void setTheme(String theme) {
		this.theme = theme;
	}
	public String getMainauthor() {
		return mainauthor;
	}
	public void setMainauthor(String mainauthor) {
		this.mainauthor = mainauthor;
	}
	public String getSecondaryauthor() {
		return secondaryauthor;
	}
	public void setSecondaryauthor(String secondaryauthor) {
		this.secondaryauthor = secondaryauthor;
	}

	public List<String> getListe() {
		return liste;
	}

	public void setListe(ArrayList<String> liste) {
		if(liste != null)
		{
			this.liste = new ArrayList<String>(liste);
		}
		else
		{
			this.liste = new ArrayList<String>();
		}
	}

	public String getAbstractText() {
		return abstractText;
	}

	public void setAbstractText(String abstractText) {
		this.abstractText = abstractText;
	}

}
